<?php
//подключение собственной библиотеки функций
require_once 'func.inc';
?>
<!-- HTML разметки -->
<!DOCTYPE html>
<html lang="ru">
<!--  Заголовок страницы -->
<head>
	<meta charset="UTF-8">
	<title>Проверка входа..</title>
</head>

<!--  Тело страницы -->
<body>
<!--  Отображение текста на время проверки, с получением значения поля логин отправленной страницы для обработки на сервер -->
<p>Проверка входа для пользователя '<?php echo $_POST['login']; ?>'..</p>
<?php
//проверка на пароль, функция check_login, аргументы логин и пароль
	if (check_login($_POST['login'], $_POST['pwd']))	{
		//в случае true создаться переменная сессии (что пользователь залогинился), и
		$_SESSION['logged'] = 'yes';
		//отправится на Главную страницу для работы
		goto_page('index.php');
		}
	else
		{
		//в противном случае отправится на страницу логина
		goto_page("login.php");
		}
?>
</body>
</html>